Skip to main content
GET
/
agents
/
{agentId}
/
shared-files
Get Agent Shared Files
curl --request GET \
  --url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/shared-files \
  --header 'X-Asteroid-Agents-Api-Key: <api-key>'
{
  "files": [
    {
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "downloadUrl": "<string>",
      "fileName": "<string>",
      "filePath": "<string>",
      "fileSize": 123,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isFrozen": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "version": 123,
      "lastModifiedByExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mimeType": "<string>"
    }
  ],
  "totalSize": 123
}

Authorizations

X-Asteroid-Agents-Api-Key
string
header
required

Path Parameters

agentId
string<uuid>
required

Response

The request has succeeded.

Response containing all shared files for an agent

files
object[]
required
totalSize
integer<int64>
required